# Generated by Django 3.1.4 on 2020-12-23 13:00

from django.db import migrations
from core.markdown import render_markdown


def do(apps, schema_editor):
    Event = apps.get_model('core', 'Event')
    Room = apps.get_model('core', 'Room')
    Assembly = apps.get_model('core', 'Assembly')
    PlatformUser = apps.get_model('core', 'PlatformUser')
    StaticPage = apps.get_model('core', 'StaticPage')

    for event in Event.objects.all():
        event.description_html = render_markdown(event.description)
        event.save(update_fields=['description_html'])

    for room in Room.objects.all():
        room.description_html = render_markdown(room.description) if room.description is not None else None
        room.save(update_fields=['description_html'])

    for assembly in Assembly.objects.all():
        assembly.description_html = render_markdown(assembly.description) if assembly.description is not None else None
        assembly.save(update_fields=['description_html'])

    for user in PlatformUser.objects.all():
        user.description_html = render_markdown(user.description) if user.description is not None else None
        user.save(update_fields=['description_html'])

    for page in StaticPage.objects.all():
        if page.public_revision > 0:
            public_page = page.revisions.filter(revision=page.public_revision).first()
            if public_page is None:
                page.rendered_body = ''
            else:
                page.rendered_body = render_markdown(public_page.body)
        else:
            page.rendered_body = ''
        page.save(update_fields=['rendered_body'])


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0041_description_html_fields1'),
    ]

    operations = [
        migrations.RunPython(do, migrations.RunPython.noop, elidable=True)
    ]
