# Generated by Django 3.1.4 on 2020-12-25 18:43

from datetime import timedelta

from django.db import migrations


def move_events_by(apps, delta):
    Event = apps.get_model('core', 'Event')
    for evt in Event.objects.all():
        if evt.schedule_start:
            evt.schedule_start = evt.schedule_start + delta
            if evt.schedule_end:
                evt.schedule_end = evt.schedule_end + delta
            evt.save()


def do(apps, schema_editor):
    move_events_by(apps, timedelta(hours=-1))


def undo(apps, schema_editor):
    move_events_by(apps, timedelta(hours=1))


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0048_Platformuser_time_zone'),
    ]

    operations = [
        migrations.RunPython(do, undo, elidable=True)
    ]
