# Generated by Django 3.2.8 on 2021-11-03 15:28

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0062_wa_session'),
    ]

    operations = [
        ########################################
        # Assembly: assembly_type -> is_...    #
        ########################################

        migrations.RenameField(
            model_name='assembly',
            old_name='state',
            new_name='state_assembly',
        ),
        migrations.AddField(
            model_name='assembly',
            name='is_physical',
            field=models.BooleanField(blank=True, help_text='Assembly__is_physical__help', null=True, verbose_name='Assembly__is_physical'),
        ),
        migrations.AddField(
            model_name='assembly',
            name='is_remote',
            field=models.BooleanField(blank=True, help_text='Assembly__is_remote__help', null=True, verbose_name='Assembly__is_remote'),
        ),
        migrations.AddField(
            model_name='assembly',
            name='is_virtual',
            field=models.BooleanField(blank=True, help_text='Assembly__is_virtual__help', null=True, verbose_name='Assembly__is_virtual'),
        ),
        migrations.AddField(
            model_name='assembly',
            name='state_channel',
            field=models.CharField(choices=[('none', 'Assembly__state-none'), ('planned', 'Assembly__state-planned'), ('registered', 'Assembly__state-registered'), ('hidden', 'Assembly__state-hidden'), ('accepted', 'Assembly__state-accepted'), ('rejected', 'Assembly__state-rejected'), ('placed', 'Assembly__state-placed'), ('arrived', 'Assembly__state-arrived_self'), ('confirmed', 'Assembly__state-arrived_confirmed')], default='none', help_text='Assembly__state_channel__help', max_length=20, verbose_name='Assembly__state_channel'),
        ),
        # make assembly_type null-able to enable backwards migration in 0063b/c
        migrations.AlterField(
            model_name='assembly',
            name='assembly_type',
            field=models.CharField(blank=True, choices=[('physical', 'Assembly__type-physical'), ('virtual', 'Assembly__type-virtual')], default='virtual', help_text='Assembly__assembly_type__help', max_length=20, null=True, verbose_name='Assembly__assembly_type'),
        ),

        ########################################
        # AssemblyMember: role -> is_...       #
        ########################################

        migrations.AddField(
            model_name='assemblymember',
            name='can_manage_assembly',
            field=models.BooleanField(default=False, help_text='AssemblyMember__can_manage_assembly__help', verbose_name='AssemblyMember__can_manage_assembly'),
        ),
        migrations.AddField(
            model_name='assemblymember',
            name='is_content_coordinator',
            field=models.BooleanField(default=False, help_text='AssemblyMember__is_content_coordinator__help', verbose_name='AssemblyMember__is_content_coordinator'),
        ),
        migrations.AddField(
            model_name='assemblymember',
            name='is_production_coordinator',
            field=models.BooleanField(default=False, help_text='AssemblyMember__is_production_coordinator__help', verbose_name='AssemblyMember__is_production_coordinator'),
        ),
        migrations.AddField(
            model_name='assemblymember',
            name='is_representative',
            field=models.BooleanField(default=False, help_text='AssemblyMember__is_representative__help', verbose_name='AssemblyMember__is_representative'),
        ),
        migrations.AddField(
            model_name='assemblymember',
            name='is_technical_contact',
            field=models.BooleanField(default=False, help_text='AssemblyMember__is_technical_contact__help', verbose_name='AssemblyMember__is_technical_contact'),
        ),
    ]
