# Generated by Django 3.1.4 on 2021-12-06 20:48

from django.db import migrations
from django.utils.text import slugify
from uuid import uuid4


def create_slug(PlatformUser, user, extension=""):
    """
    recursive function to get a free slug based on the username and an optional extension string.
    """
    sluged = slugify(user.username + extension)

    if PlatformUser.objects.exclude(username=user.username).filter(slug=sluged).exists():
        # Slug already in use.
        extension = str(uuid4())[13:18]
        return create_slug(PlatformUser, user, extension)
    else:
        return sluged


def addSlugs2Users(apps, schema_editor):
    PlatformUserModel = apps.get_model('core', 'PlatformUser')
    for user in PlatformUserModel.objects.all():
        user.slug = create_slug(PlatformUserModel, user)
        user.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0066_AddedSlugField2Users'),
    ]

    operations = [
        migrations.RunPython(addSlugs2Users, elidable=True)
    ]
