# Generated by Django 3.2.10 on 2021-12-23 22:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0079_room_is_official'),
    ]

    operations = [
        migrations.AlterField(
            model_name='event',
            name='assembly',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='events', to='core.assembly'),
        ),
        migrations.AddConstraint(
            model_name='event',
            constraint=models.CheckConstraint(condition=models.Q(('kind', 'sos'), ('assembly__isnull', False), _connector='OR'), name='event_has_assembly_or_is_sos'),
        ),
        migrations.AddField(
            model_name='event',
            name='backend_data',
            field=models.JSONField(blank=True, help_text='Room__backend_data__help', null=True, verbose_name='Room__backend_data'),
        ),
        migrations.AddField(
            model_name='event',
            name='backend_flags',
            field=models.JSONField(blank=True, help_text='Room__backend_flags__help', null=True, verbose_name='Room__backend_flags'),
        ),
        migrations.AddField(
            model_name='event',
            name='backend_link',
            field=models.URLField(blank=True, help_text='Room__backend_link__help', null=True, verbose_name='Room__backend_link'),
        ),
        migrations.AddField(
            model_name='event',
            name='backend_link_branch',
            field=models.CharField(blank=True, help_text='Room__backend_link_branch__help', max_length=50, null=True, verbose_name='Room__backend_link_branch'),
        ),
        migrations.AddField(
            model_name='event',
            name='backend_status',
            field=models.CharField(blank=True, choices=[('', 'Room__backend_status-none'), ('new', 'Room__backend_status-new'), ('setup', 'Room__backend_status-setup'), ('error', 'Room__backend_status-error'), ('active', 'Room__backend_status-active'), ('inactive', 'Room__backend_status-inactive'), ('full', 'Room__backend_status-full')], default='', help_text='Room__backend_status__help', max_length=20, verbose_name='Room__backend_status'),
        ),
        migrations.AddField(
            model_name='event',
            name='capacity',
            field=models.PositiveIntegerField(blank=True, help_text='Room__capacity__help', null=True, verbose_name='Room__capacity'),
        ),
        migrations.AddField(
            model_name='event',
            name='director_data',
            field=models.JSONField(blank=True, help_text='Room__director_data__help', null=True, verbose_name='Room__director_data'),
        ),
        migrations.AddField(
            model_name='event',
            name='occupants',
            field=models.PositiveIntegerField(blank=True, editable=False, help_text='Room__occupants__help', null=True, verbose_name='Room__occupants'),
        ),
        migrations.AddField(
            model_name='event',
            name='reserve_capacity',
            field=models.PositiveIntegerField(default=20, editable=False, help_text='Room__reserve_capacity__help', verbose_name='Room__reserve_capacity'),
        ),
    ]
