# Generated by Django 4.2.7 on 2023-11-19 15:23

import core.fields
import core.validators
import core.models.badges
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0126_platformuser_allow_reset_non_primary_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='badge',
            name='is_achievement',
        ),
        migrations.RemoveField(
            model_name='badge',
            name='show_public',
        ),
        migrations.AddField(
            model_name='badge',
            name='description',
            field=models.TextField(blank=True, help_text='Badge__description__help', verbose_name='Badge__description'),
        ),
        migrations.AddField(
            model_name='badge',
            name='description_de',
            field=models.TextField(blank=True, help_text='Badge__description__help', null=True, verbose_name='Badge__description'),
        ),
        migrations.AddField(
            model_name='badge',
            name='description_en',
            field=models.TextField(blank=True, help_text='Badge__description__help', null=True, verbose_name='Badge__description'),
        ),
        migrations.AddField(
            model_name='badge',
            name='description_html',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='badge',
            name='description_html_de',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='badge',
            name='description_html_en',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='badge',
            name='location',
            field=models.CharField(blank=True, help_text='Badge__location__help', verbose_name='Badge__location'),
        ),
        migrations.AddField(
            model_name='badge',
            name='location_de',
            field=models.CharField(blank=True, help_text='Badge__location__help', null=True, verbose_name='Badge__location'),
        ),
        migrations.AddField(
            model_name='badge',
            name='location_en',
            field=models.CharField(blank=True, help_text='Badge__location__help', null=True, verbose_name='Badge__location'),
        ),
        migrations.AddField(
            model_name='badge',
            name='state',
            field=models.CharField(choices=[('planned', 'Badge__state__planned'), ('hidden', 'Badge__state__hidden'), ('public', 'Badge__state__public')], default='planned', help_text='Badge__state__help', max_length=20, verbose_name='Badge__state'),
        ),
        migrations.AlterField(
            model_name='badge',
            name='image',
            field=models.ImageField(blank=True, height_field='image_height', help_text='Badge__image__help 256, 256, 512, 512', null=True, upload_to=core.models.badges.get_badge_filename, validators=[core.validators.ImageDimensionValidator(max_size=(512, 512), min_size=(256, 256), square=True)], verbose_name='Badge__image', width_field='image_width'),
        ),
        migrations.AlterField(
            model_name='badgetoken',
            name='badge',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tokens', to='core.badge'),
        ),
        migrations.CreateModel(
            name='BadgeCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='BadgeCategory__name__help', max_length=50, unique=True, verbose_name='BadgeCategory__name')),
                ('name_de', models.CharField(help_text='BadgeCategory__name__help', max_length=50, null=True, unique=True, verbose_name='BadgeCategory__name')),
                ('name_en', models.CharField(help_text='BadgeCategory__name__help', max_length=50, null=True, unique=True, verbose_name='BadgeCategory__name')),
                ('slug', models.SlugField(help_text='BadgeCategory__slug__help', verbose_name='BadgeCategory__slug')),
                ('symbol', models.SlugField(blank=True, help_text='BadgeCategory__symbol__help', verbose_name='BadgeCategory__symbol')),
                ('description', models.TextField()),
                ('description_de', models.TextField(null=True)),
                ('description_en', models.TextField(null=True)),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='badge_categories', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'BadgeCategory',
                'verbose_name_plural': 'BadgeCategories',
                'unique_together': {('conference', 'slug')},
            },
        ),
        migrations.AddField(
            model_name='badge',
            name='category',
            field=models.ForeignKey(help_text='Badge__category__help', null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.badgecategory', verbose_name='Badge__category'),
        ),
    ]
