# Generated by Django 4.2.8 on 2023-12-25 20:50

from django.db import migrations, models
from django.conf import settings


def forwards_func(apps, schema_editor):
    Event = apps.get_model('core', 'Event')
    event_count = 0
    personal_calendar_count = 0
    for event in Event.objects.filter(in_personal_calendar__isnull=False).distinct():
        event_count += 1
        personal_calendar_count += event.in_personal_calendar.count()
        event.favorited_by.add(*event.in_personal_calendar.all())
        event.save()
    print(f'Added {personal_calendar_count} favorites in {event_count} events.')


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0143_alter_conferenceexportcache_ident'),
    ]

    operations = [
        migrations.RunPython(forwards_func, migrations.RunPython.noop),
        migrations.RemoveField(
            model_name='event',
            name='in_personal_calendar',
        ),
        migrations.RenameField(
            model_name='assembly',
            old_name='favorited_by',
            new_name='favorite_of',
        ),
        migrations.AlterField(
            model_name='assembly',
            name='favorite_of',
            field=models.ManyToManyField(help_text='Assembly__favorite_of__help', related_name='favorite_assemblies', to=settings.AUTH_USER_MODEL, verbose_name='Assembly__favorite_of'),
        ),
        migrations.RenameField(
            model_name='event',
            old_name='favorited_by',
            new_name='favorite_of',
        ),
        migrations.AlterField(
            model_name='event',
            name='favorite_of',
            field=models.ManyToManyField(help_text='Event__favorite_of__help', related_name='favorite_events', to=settings.AUTH_USER_MODEL, verbose_name='Event__favorite_of'),
        ),
        migrations.AddField(
            model_name='project',
            name='favorite_of',
            field=models.ManyToManyField(help_text='Project__favorite_of__help', related_name='favorite_projects', to=settings.AUTH_USER_MODEL, verbose_name='Project__favorite_of'),
        ),
    ]
