# Generated by Django 4.2.6 on 2023-12-21 23:18
from django.db.models import F

import core.models.users
import core.validators
from django.db import migrations, models


def set_display_names(apps, schema_editor):
    PlatformUser = apps.get_model("core", "PlatformUser")
    PlatformUser.objects.all().update(display_name=F('username'))


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0145_alter_eventlikecount_unique_together_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='platformuser',
            name='accepted_speakersagreement',
        ),
        migrations.AddField(
            model_name='platformuser',
            name='avatar',
            field=models.ImageField(blank=True, help_text=core.models.users.get_user_avatar_help_text, null=True, upload_to=core.models.users.get_user_avatar_filename, validators=[core.validators.ImageDimensionValidator(max_size=(1024, 1024), min_size=(64, 64), square=True)], verbose_name='PlatformUser__avatar'),
        ),
        migrations.AddField(
            model_name='platformuser',
            name='display_name',
            field=models.CharField(blank=True, help_text='PlatformUser__display_name__help', max_length=100, verbose_name='PlatformUser__display_name'),
        ),
        migrations.AlterField(
            model_name='platformuser',
            name='user_type',
            field=models.CharField(choices=[('human', 'PlatformUser__type-human'), ('speaker', 'PlatformUser__type-speaker'), ('service', 'PlatformUser__type-service'), ('assembly', 'PlatformUser__type-assembly'), ('bot', 'PlatformUser__type-bot')], default='human', help_text='PlatformUser__type__help', max_length=10, verbose_name='PlatformUser__type'),
        ),
        migrations.RunPython(set_display_names, migrations.RunPython.noop),
    ]
