# Generated by Django 5.1.3 on 2024-12-07 01:11

import django.contrib.postgres.fields
import django.contrib.postgres.fields.ranges
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0163_alter_invitation_options"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="conferencemember",
            options={
                "permissions": [
                    (
                        "conference_admin",
                        "ConferenceMember__permission__conference_admin",
                    ),
                    ("assembly_team", "ConferenceMember__permission__assembly_team"),
                    (
                        "assembly_registration_admin",
                        "ConferenceMember__permission__assembly_registration_admin",
                    ),
                    ("static_pages", "ConferenceMember__permission__static_pages"),
                    ("map_edit", "ConferenceMember__permission__map_edit"),
                    ("moderation", "Orga: Moderation"),
                    ("voucher_admin", "ConferenceMember__permission__voucher_admin"),
                    ("scheduleadmin", "ConferenceMember__permission__schedule_admin"),
                ]
            },
        ),
        migrations.AlterField(
            model_name="assembly",
            name="hierarchy",
            field=models.CharField(
                choices=[
                    ("regular", "Assembly__hierarchy__regular"),
                    ("cluster", "Assembly__hierarchy__cluster"),
                    ("clusterrestricted", "Assembly__hierarchy__cluster_restricted"),
                ],
                default="regular",
                help_text="Assembly__hierarchy__help",
                max_length=20,
                verbose_name="Assembly__hierarchy",
            ),
        ),
        migrations.AlterField(
            model_name="directmessage",
            name="autodelete_after",
            field=models.DateTimeField(
                blank=True,
                help_text="DirectMessage__auto_delete_after__help",
                null=True,
                verbose_name="DirectMessage__auto_delete_after",
            ),
        ),
        migrations.AlterField(
            model_name="platformuser",
            name="autoaccept_contacts",
            field=models.BooleanField(
                default=False,
                help_text="PlatformUser__auto_accept_contacts__help",
                verbose_name="PlatformUser__auto_accept_contacts",
            ),
        ),
        migrations.AlterField(
            model_name="platformuser",
            name="tag_ignorelist",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.SlugField(),
                blank=True,
                default=list,
                help_text="PlatformUser__tag_ignore_list__help",
                size=None,
                verbose_name="PlatformUser__tag_ignore_list",
            ),
        ),
        migrations.AlterField(
            model_name="room",
            name="room_type",
            field=models.CharField(
                choices=[
                    ("lecturehall", "Room__type__lecture_hall"),
                    ("stage", "Room__type__stage"),
                    ("workshop", "Room__type__workshop"),
                    ("outside", "Room__type__outside"),
                    ("online", "Room__type__online"),
                    ("project", "Room__type__project"),
                    ("bbb", "Room__type__bbb"),
                    ("hangar", "Room__type__hangar"),
                    ("other", "Room__type__other"),
                ],
                help_text="Room__type__help",
                max_length=20,
                verbose_name="Room__type",
            ),
        ),
        migrations.AlterField(
            model_name="roomshare",
            name="timeframe",
            field=django.contrib.postgres.fields.ranges.DateTimeRangeField(
                blank=True,
                help_text="RoomShare__time_frame__help",
                null=True,
                verbose_name="RoomShare__time_frame",
            ),
        ),
    ]
