from django.contrib.contenttypes.fields import GenericForeignKey
from django.contrib.contenttypes.models import ContentType
from django.db import models


class Favorite(models.Model):
    class Meta:
        unique_together = [['favorite_type', 'favorite_id', 'user']]

    user = models.ForeignKey('PlatformUser', related_name='favorites', on_delete=models.CASCADE)

    favorite_types = models.Q(app_label='core', model='room')
    favorite_type = models.ForeignKey(ContentType, on_delete=models.CASCADE, limit_choices_to=favorite_types)
    favorite_id = models.UUIDField()
    favorite = GenericForeignKey('favorite_type', 'favorite_id')
