from typing import TypeIs

from oauth2_provider.models import AbstractApplication

from django.db import models
from django.utils.translation import gettext_lazy as _

from .assemblies import Assembly


class Application(AbstractApplication):
    assembly = models.ForeignKey(Assembly, related_name='applications', blank=True, null=True, on_delete=models.CASCADE)
    internal_description = models.TextField(
        blank=True, null=True, help_text=_('Application__internal_description__help'), verbose_name=_('Application__internal_description')
    )

    @classmethod
    def type_is(cls, obj: object) -> TypeIs['Application']:
        return isinstance(obj, cls)
